### Signal

# Xdp Portal::session-state-changed

#### Declaration

    void
    session_state_changed (
      XdpPortal* self,
      gboolean screensaver_active,
      XdpLoginSessionState* session_state,
      gpointer user_data
    )

#### Description [src]

Emitted when session state monitoring is enabled and the state of the login session changes or the screensaver is activated or deactivated.

Default handler: | The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`screensaver_active` | `gboolean`
| Whether the screensaver is active.
`session_state` | `XdpLoginSessionState`
| The current state of the login session.
| The data is owned by the caller of the function.